Skip to main content
GET
GEX exposures by strike & expiry (Deprecated)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

expiry
string
required

A single expiry date in ISO date format.

Example:

"2024-02-02T00:00:00.000Z"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

min_strike
number

The minimum strike. Min: 0.

Required range: x >= 0
Example:

120.5

max_strike
number

The maximum strike. Min: 0.

Required range: x >= 0
Example:

1200

Response

call_charm_ask
string

The call charm exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example:

"102382359.5786"

call_charm_bid
string

The call charm exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example:

"102382359.5786"

call_charm_oi
string

The sum of the charm exposure values of all call transactions at a given strike.

Example:

"102382359.5786"

call_charm_vol
string

The sum of the charm exposure values of all call transactions at a given strike.

Example:

"102382359.5786"

call_delta_ask
string

The call delta exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example:

"227549667.4651"

call_delta_bid
string

The call delta exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example:

"227549667.4651"

call_delta_oi
string

The sum of the delta exposure values of all call transactions at a given strike.

Example:

"227549667.4651"

call_delta_vol
string

The sum of the delta exposure values of all call transactions at a given strike.

Example:

"227549667.4651"

call_gamma_ask
string

The call gamma exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example:

"-102382359.5786"

call_gamma_bid
string

The call gamma exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example:

"102382359.5786"

call_gamma_oi
string

The sum of the gamma exposure values of all call transactions at a given strike.

Example:

"9356683.4241"

call_gamma_vol
string

The sum of the gamma exposure values of all call transactions at a given strike.

Example:

"9356683.4241"

call_vanna_ask
string

The call vanna exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example:

"152099632406.9564"

call_vanna_bid
string

The call vanna exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example:

"102382359.5786"

call_vanna_oi
string

The sum of the vanna exposure values of all call transactions at a given strike.

Example:

"152099632406.9564"

call_vanna_vol
string

The sum of the vanna exposure values of all call transactions at a given strike.

Example:

"152099632406.9564"

price
string

The underlying price used in calculations. NOTE: For any index ticker this will be the current ATM strike.

Example:

"4650"

put_charm_ask
string

The put charm exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example:

"102382359.5786"

put_charm_bid
string

The put charm exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example:

"102382359.5786"

put_charm_oi
string

The sum of the charm exposure values of all put transactions at a given strike.

Example:

"102382359.5786"

put_charm_vol
string

The sum of the charm exposure values of all put transactions at a given strike.

Example:

"102382359.5786"

put_delta_ask
string

The put delta exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example:

"-191893077.7193"

put_delta_bid
string

The put delta exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example:

"-191893077.7193"

put_delta_oi
string

The sum of the delta exposure values of all put transactions at a given strike.

Example:

"-191893077.7193"

put_delta_vol
string

The sum of the delta exposure values of all put transactions at a given strike.

Example:

"-191893077.7193"

put_gamma_ask
string

The put gamma exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example:

"-102382359.5786"

put_gamma_bid
string

The put gamma exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example:

"102382359.5786"

put_gamma_oi
string

The sum of the gamma exposure values of all put transactions at a given strike.

Example:

"9356683.4241"

put_gamma_vol
string

The sum of the gamma exposure values of all put transactions at a given strike.

Example:

"9356683.4241"

put_vanna_ask
string

The put vanna exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example:

"102382359.5786"

put_vanna_bid
string

The put charm exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example:

"102382359.5786"

put_vanna_oi
string

The sum of the vanna exposure values of all put transactions at a given strike.

Example:

"152099632406.9564"

put_vanna_vol
string

The sum of the vanna exposure values of all put transactions at a given strike.

Example:

"152099632406.9564"

strike
string

The strike price of an option contract.

Example:

"150.0"

time
string

The UTC timestamp of the calculation

Example:

"2023-12-13T05:00:41.481Z"

Last modified on September 29, 2026